<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: likeornot_panel.php
| Author: Philip Daly (HobbyMan)
| Web: http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."likeornot_panel/infusion_db.php";
include INFUSIONS."likeornot_panel/settings.php";
include INFUSIONS."likeornot_panel/inc.php";

if (file_exists(INFUSIONS."likeornot_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."likeornot_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."likeornot_panel/locale/English.php";
}

if ($path_parts['dirname']."/" != $settings['siteurl']."forum/") {
if (!in_array($url, $dont_display, true)) {

 if (iMEMBER && isset($_POST['lod_status'])) {
   
        $lod_status = stripinput(trim($_POST['lod_status']));
        $time = time();
        $result = dbquery("INSERT INTO ".DB_LIKEORNOT." VALUES(
                                                               '', 
                                                               '".stripinput($userdata['user_id'])."', 
                                                               '".stripinput($url)."', 
                                                               '".$lod_status."', 
                                                               '".stripinput($time)."')
                                                               ");
                                                                      
     { redirect($url); }
     
       } elseif (iMEMBER) {

   if ($panel_title) { opentable($locale['lon_001']); }
 
   $current_user_like = dbcount("(lod_id)", DB_LIKEORNOT, "lod_user='".$userdata['user_id']."' && lod_page='".$url."' && lod_status='1'");
   $current_user_dislike = dbcount("(lod_id)", DB_LIKEORNOT, "lod_user='".$userdata['user_id']."' && lod_page='".$url."' && lod_status='2'");

   if ($current_user_like + $current_user_dislike == '0') {
   echo "<form name='inputform' method='post' action='".$url."' >\n";
   echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
   echo "<td class='tbl1' align='center'>";
   if ($img_text) { echo $locale['lon_003']; } 
   echo $img_like."<label><input type='radio' checked name='lod_status' value='1' />\n</td>\n";  
   echo "<td class='tbl1' align='center'>";
   if ($img_text) { echo $locale['lon_004']; }
   echo $img_dislike."<label><input type='radio' name='lod_status' value='2' />\n</td>\n";
   echo "</tr>\n<tr>\n";
   echo "<td class='tbl1' colspan='2' align='center'>";
   echo "<input type='submit' name='inputform' class='button' value='".$locale['lon_106']."'>\n";
   echo "</td>\n";
   echo "</tr>\n</table>\n</form>\n";
   }

   echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
   echo "<td class='tbl1' align='center'>";
   if ($current_user_like > '0') { echo $locale['lon_007'].$other_like.$locale['lon_008'].$locale['lon_005']; }
   else {echo $total_likes.$locale['lon_005']; }
   if ($total_votes >0 && $percentage_show) { echo " - [".round($total_likes*100/$total_votes)."%]"; }
   echo "</td>\n";
   echo "</tr><tr>\n";
   echo "<td class='tbl1' align='center'>";
   if ($current_user_dislike > '0') { echo $locale['lon_007'].$other_dislike.$locale['lon_008'].$locale['lon_006']; }
   else {echo $total_dislikes.$locale['lon_006']; }
   if ($total_votes >0 && $percentage_show) { echo " - [".round($total_dislikes*100/$total_votes)."%]"; }
   echo "</td>\n";
   echo "</tr>\n</table>\n";

   if ($panel_title) { closetable(); }
    }
    if (iADMIN && $admin_view) {
   if ($panel_title) { opentable($locale['lon_100']); }
    
    $result = dbquery(
            "SELECT a.lod_user, a.lod_page, a.lod_status, a.lod_datestamp, u.user_id, u.user_name, u.user_status
			FROM ".DB_LIKEORNOT." a
			LEFT JOIN ".DB_USERS." u ON u.user_id=a.lod_user 
			WHERE a.lod_page = '".$url."'
			ORDER BY $ordering[$orderby]
		");
		
	 echo "<table border='0' width='100%' class='tbl-border'>\n<tr>\n";
     if (dbrows($result)) {
     echo "<th class='forum-caption' colspan='4'>".$locale['lon_100']."</th>\n";
     echo "</tr>\n<tr>\n";
     echo "<td class='tbl2'>".$locale['lon_101']."</td>\n";
     echo "<td class='tbl2'>".$locale['lon_102']."</td>\n";
     echo "<td class='tbl2' align='center'>".$locale['lon_103']."</td>\n";
     echo "<td class='tbl2' align='center'>".$locale['lon_104']."</td>\n";
     echo "</tr>\n";

	while($data = dbarray($result)) {
	
	$likes = dbcount("(lod_id)", DB_LIKEORNOT, "lod_user='".$data['user_id']."' && lod_page='".$url."' && lod_status='1'");
	$dislikes = dbcount("(lod_id)", DB_LIKEORNOT, "lod_user='".$data['user_id']."' && lod_page='".$url."' && lod_status='2'");
    
    echo "<tr>\n";
    echo "<td class='tbl1' valign='top'>".strftime($settings['longdate'], $data['lod_datestamp']+($settings['timeoffset']*3600))."</td>\n";
    echo "<td class='tbl1' valign='top'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
    echo "<td class='tbl1' align='center'><a href='".$data['lod_page']."'>".($data['lod_status'] == '2' ? '' : $img_like)."</td>\n";
    echo "<td class='tbl1' align='center'><a href='".$data['lod_page']."'>".($data['lod_status'] == '1' ? '' : $img_dislike)."</td>\n";
    echo "</tr>\n";
       }
    echo "</table>\n";
      } else { echo "<tr><td class='tbl1' colspan='4' align='center'>".$locale['lon_105']."<br /></td />\n</tr>\n</table>\n"; }
      
   if ($panel_title) { closetable(); }
    }  

  if (iGUEST) {
   if ($panel_title) { opentable($locale['lon_001']); }
   echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
   if ($total_likes + $total_dislikes !=0) {
   echo "<td class='tbl1' align='center'>".$total_likes.$locale['lon_005']." ".$img_like."</td>\n";
   echo "<td class='tbl1' align='center'>".$total_dislikes.$locale['lon_006']." ".$img_dislike."</td>\n";
   } else { echo "<td class='tbl1' align='center'>".$locale['lon_105']."<br /></td />\n"; }
   echo "</tr>\n</table>\n";
   if ($panel_title) { closetable(); 
           }
        }
     }
   }
?>