<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: top_likes.php
| Author: Philip Daly (HobbyMan)
| Web: http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."likeornot_panel/infusion_db.php";
include INFUSIONS."likeornot_panel/settings.php";
include INFUSIONS."likeornot_panel/inc.php";

if (file_exists(INFUSIONS."likeornot_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."likeornot_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."likeornot_panel/locale/English.php";
}

opentable($locale['lon_052']);

if ($show_stats) {
$total_users = dbarray(dbquery("SELECT COUNT(DISTINCT lod_user) as lod_user FROM ".DB_LIKEORNOT));

   echo "<table border='0' width='100%' class='tbl-border'>\n<tr>\n";
   echo "<th class='forum-caption' colspan='3'>".$locale['lon_058']."</th>\n";
   echo "</tr>\n<tr>\n";
   echo "<td class='tbl2'>".$locale['lon_056'].dbcount("(lod_id)", DB_LIKEORNOT, "lod_status='1'")."</td>\n";
   echo "<td class='tbl2'>".$locale['lon_057'].dbcount("(lod_id)", DB_LIKEORNOT, "lod_status='2'")."</td>\n";
   echo "</tr><tr>\n";
   echo "<td class='tbl2' colspan='2'>".$locale['lon_059'].$total_users['lod_user']."</td>\n";
   echo "</table>\n";
  }

// Likes			
		$result = dbquery("
		                   SELECT 
		                   lod_status, 
		                   lod_page, 
		                   count(lod_status) 
		                   as count 
		                   FROM ".DB_LIKEORNOT." 
		                   WHERE lod_status = '1' 
		                   GROUP BY lod_page 
		                   ORDER BY count DESC
		                   ");
					
     echo "<table border='0' width='100%' class='tbl-border'>\n<tr>\n";
     if (dbrows($result)) {
     echo "<th class='forum-caption' colspan='3'>".$locale['lon_050']."</th>\n";
     echo "</tr>\n<tr>\n";
     echo "<td class='tbl2' colspan='2'>".$locale['lon_053']."</td>\n";
     echo "<td class='tbl2'>".$locale['lon_054']."</td>\n";
     echo "</tr>\n";

	while($data = dbarray($result)) {

   $total_likes = dbcount("(lod_id)", DB_LIKEORNOT, "lod_status='1' && lod_page = '".$data['lod_page']."'");
    
    echo "<tr>\n";
    echo "<td class='tbl1'>".$img_view."</td>\n";
    echo "<td class='tbl1'><a href='".$data['lod_page']."'>".$data['lod_page']."</a></td>\n";
    echo "<td class='tbl1' valign='top'>".$total_likes."</td>\n";
    echo "</tr>\n";
       }
    echo "</table>\n";
      } else { echo "<tr><td class='tbl1' colspan='4' align='center'>".$locale['lon_105']."<br /></td />\n</tr>\n</table>\n"; }


// Dislikes      
      		$result = dbquery("
		                   SELECT 
		                   lod_status, 
		                   lod_page, 
		                   count(lod_status) 
		                   as count 
		                   FROM ".DB_LIKEORNOT." 
		                   WHERE lod_status = '2' 
		                   GROUP BY lod_page
		                   ORDER BY count DESC
		                   ");		
		
     echo "<table border='0' width='100%' class='tbl-border'>\n<tr>\n";
     if (dbrows($result)) {
     echo "<th class='forum-caption' colspan='3'>".$locale['lon_051']."</th>\n";
     echo "</tr>\n<tr>\n";
     echo "<td class='tbl2' colspan='2'>".$locale['lon_053']."</td>\n";
     echo "<td class='tbl2'>".$locale['lon_055']."</td>\n";
     echo "</tr>\n";

	while($data = dbarray($result)) {

   $total_likes = dbcount("(lod_id)", DB_LIKEORNOT, "lod_status='2' && lod_page = '".$data['lod_page']."'");
    
    echo "<tr>\n";
    echo "<td class='tbl1'>".$img_view."</td>\n";
    echo "<td class='tbl1'><a href='".$data['lod_page']."'>".$data['lod_page']."</a></td>\n";
    echo "<td class='tbl1' valign='top'>".$total_likes."</td>\n";
    echo "</tr>\n";
       }
    echo "</table>\n";
      } else { echo "<tr><td class='tbl1' colspan='4' align='center'>".$locale['lon_105']."<br /></td />\n</tr>\n</table>\n"; }

closetable();

require_once THEMES."templates/footer.php";
?>